Bug 437685 - WARN_ON_ONCE(work > weight) in net_rx_action() triggers
WARN_ON_ONCE(work > weight) in net_rx_action() triggers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-16 07:47 EDT by David Woodhouse
Modified: 2009-07-14 11:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:42:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-03-16 07:47:07 EDT
------------[ cut here ]------------
Badness at net/core/dev.c:2204
NIP: c0000000003ac2e8 LR: c0000000003ac2c4 CTR: c0000000004483ac
REGS: c00000000fff7bc0 TRAP: 0700   Not tainted  (2.6.25-0.93.rc4.fc9)
MSR: 9000000000029032 <EE,ME,IR,DR>  CR: 24ffff24  XER: 20000000
TASK = c00000011a0d5520[0] 'swapper' THREAD: c00000011a0e4000 CPU: 1
GPR00: 0000000000000001 c00000000fff7e40 c000000000770bc8 0000000000000044 
GPR04: d000080083884100 0000000000000000 c000000048fe33e8 0000000000000000 
GPR08: 0000700000000000 c000000000853c18 0000000000000002 d000080083880000 
GPR12: 0000000024ffff82 c000000000696d00 00000000f8000000 0000000000000000 
GPR16: 0000000000000000 0000000000000000 0000000000000000 0000000000000000 
GPR20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000 
GPR24: 0000000132230c25 000000000000012c 0000000000000044 c0000000008cf488 
GPR28: 0000000000000000 0000000000000040 c00000000072df50 c00000011a64a8a0 
NIP [c0000000003ac2e8] .net_rx_action+0x11c/0x25c
LR [c0000000003ac2c4] .net_rx_action+0xf8/0x25c
Call Trace:
[c00000000fff7e40] [c0000000003ac2c4] .net_rx_action+0xf8/0x25c (unreliable)
[c00000000fff7ef0] [c000000000089648] .__do_softirq+0xa8/0x164
[c00000000fff7f90] [c0000000000287f4] .call_do_softirq+0x14/0x24
[c00000011a0e79e0] [c00000000000d094] .do_softirq+0x74/0xc0
[c00000011a0e7a70] [c0000000000897fc] .irq_exit+0x60/0xb0
[c00000011a0e7af0] [c00000000000d710] .do_IRQ+0x17c/0x1f4
[c00000011a0e7b90] [c000000000004c24] hardware_interrupt_entry+0x24/0x28
--- Exception: 501 at .cpu_idle+0x110/0x1f0
    LR = .cpu_idle+0x110/0x1f0
[c00000011a0e7e80] [c000000000012efc] .cpu_idle+0x11c/0x1f0 (unreliable)
[c00000011a0e7f00] [c0000000004524b0] .start_secondary+0x194/0x1b8
[c00000011a0e7f90] [c0000000000083c4] .start_secondary_prolog+0xc/0x10
Instruction dump:
e8490008 e9690010 4e800421 e8410028 7c7a1b78 7f9ae800 40bd0030 e93e8320 
80090000 7c000034 5400d97e 78000020 <0b000000> 2fa00000 41be0010 e93e8320 
eth0: RX MAC fifo overflow smac[00810440].
eth0: RX MAC fifo overflow smac[00810440].
eth0: RX MAC fifo overflow smac[00810440].
Comment 1 David Woodhouse 2008-03-16 07:48:50 EDT
The offending Ethernet device (which was being used for 'yum update' from a
server connected by GigE) is a sungem.
Comment 2 Chuck Ebbert 2008-03-18 14:19:21 EDT
"sungem triggers NAPI warning", netdev, 2008-02-19

no patch was merged

suggested:
In gem_poll(), do:

-  work_done += gem_rx(gp, budget);
+  work_done += gem_rx(gp, budget - work_done);
Comment 3 Bug Zapper 2008-05-14 02:38:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:47:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:42:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.